--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_clone_001_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_clone_001_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -44,7 +44,7 @@
 #
 
 log_assert "zfs clone returns an error when run as a user"
-log_mustnot $ZFS clone $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS.myclone
+log_mustnot zfs clone $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS.myclone
 
 # check to see that the above command really did nothing
 if datasetexists $TESTPOOL/$TESTFS.myclone
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_create_001_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_create_001_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -54,7 +54,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_destroy_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_destroy_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -60,7 +60,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_get_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_get_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -54,7 +54,7 @@
 do
 	PROP=${props[$i]}
 	EXPECTED=${prop_vals[$i]}
-	ACTUAL=$( $ZFS get $PROP -o value -H snapdir $TESTPOOl/$TESTFS/prop )
+	ACTUAL=$( zfs get $PROP -o value -H snapdir $TESTPOOl/$TESTFS/prop )
 	if [ "$ACTUAL" != "$EXPECTED" ]
 	then
 		log_fail "Property $PROP value was $ACTUAL, expected $EXPECTED"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_inherit_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_inherit_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -44,10 +44,10 @@
 #
 
 log_assert "zfs inherit returns an error when run as a user"
-log_mustnot $ZFS inherit snapdir $TESTPOOL/$TESTFS/$TESTFS2
+log_mustnot zfs inherit snapdir $TESTPOOL/$TESTFS/$TESTFS2
 
 # check to see that the above command really did nothing
-PROP=$($ZFS get snapdir $TESTPOOL/$TESTFS)
+PROP=$(zfs get snapdir $TESTPOOL/$TESTFS)
 if [ "$PROP" = "visible" ]
 then
 	log_fail "snapdir property inherited from the $TESTPOOL/$TESTFS!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_mount_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_mount_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,10 +45,10 @@
 
 log_assert "zfs mount returns an error when run as a user"
 
-log_mustnot $ZFS mount $TESTPOOL/$TESTFS/$TESTFS2.unmounted
+log_mustnot zfs mount $TESTPOOL/$TESTFS/$TESTFS2.unmounted
 
 # now verify that the above command didn't do anything
-MOUNTED=$($MOUNT | $GREP $TESTPOOL/$TESTFS/$TESTFS2.unmounted)
+MOUNTED=$(mount | grep $TESTPOOL/$TESTFS/$TESTFS2.unmounted)
 if [ -n "$MOUNTED" ]
 then
 	log_fail "Filesystem $TESTPOOL/$TESTFS/$TESTFS2.unmounted was mounted!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_promote_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_promote_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 log_assert "zfs promote returns an error when run as a user"
 
-log_mustnot $ZFS promote $TESTPOOL/$TESTFS/clone
+log_mustnot zfs promote $TESTPOOL/$TESTFS/clone
 
 # Now verify that the above command didn't do anything
 if datasetexists $TESTPOOL/$TESTFS/clone@snap
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_receive_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_receive_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 log_assert "zfs receive returns an error when run as a user"
 
-log_mustnot eval "$ZFS receive -d $TESTPOOL/$TESTFS/$TESTFS2 \
+log_mustnot eval "zfs receive -d $TESTPOOL/$TESTFS/$TESTFS2 \
  < /tmp/zfstest_datastream.dat"
 
 # verify that command actually did nothing
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_rename_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_rename_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 log_assert "zfs rename returns an error when run as a user"
 
-log_mustnot $ZFS rename $TESTPOOL/$TESTFS/renameme $TESTPOOL/$TESTFS/renameme1
+log_mustnot zfs rename $TESTPOOL/$TESTFS/renameme $TESTPOOL/$TESTFS/renameme1
 
 # now verify the above command didn't actually do anything
 if datasetexists $TESTPOOL/$TESTFS/renameme1
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_rollback_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_rollback_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -46,7 +46,7 @@
 
 log_assert "zfs rollback returns an error when run as a user"
 
-log_mustnot $ZFS rollback $TESTPOOL/$TESTFS@snap
+log_mustnot zfs rollback $TESTPOOL/$TESTFS@snap
 
 # now verify the above command didn't actually do anything
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_send_001_neg.ksh	Wed Aug 31 16:21:04 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_send_001_neg.ksh	Wed Aug 31 16:21:04 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,7 +47,7 @@
 {
 	if [ -e /tmp/zfstest_datastream.$$ ]
 	then
-		log_must $RM /tmp/zfstest_datastream.$$
+		log_must rm /tmp/zfstest_datastream.$$
 	fi
 }
 
@@ -54,7 +54,7 @@
 log_assert "zfs send returns an error when run as a user"
 log_onexit cleanup
 
-log_mustnot eval "$ZFS send $TESTPOOL/$TESTFS@snap > /tmp/zfstest_datastream.$$"
+log_mustnot eval "zfs send $TESTPOOL/$TESTFS@snap > /tmp/zfstest_datastream.$$"
 
 # Now check that the above command actually did nothing
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_set_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_set_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -56,10 +56,10 @@
 	PROP=${props[$i]}
 	EXPECTED=${prop_vals[$i]}
 	NEW=${prop_new[$i]}
-	log_mustnot $ZFS set $PROP=$NEW $TESTPOOL/$TESTFS/prop
+	log_mustnot zfs set $PROP=$NEW $TESTPOOL/$TESTFS/prop
 
 	# Now verify that the above command did nothing
-	ACTUAL=$($ZFS get $PROP -o value -H snapdir $TESTPOOl/$TESTFS/prop )
+	ACTUAL=$(zfs get $PROP -o value -H snapdir $TESTPOOl/$TESTFS/prop )
 	if [ "$ACTUAL" != "$EXPECTED" ]
 	then
 		log_fail "Property $PROP was set to $ACTUAL, expected $EXPECTED"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_share_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_share_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -52,7 +52,7 @@
 	log_fail "$TESTPOOL/$TESTFS/unshared was incorrectly shared initially!"
 fi
 
-log_mustnot $ZFS share $TESTPOOL/$TESTFS/unshared
+log_mustnot zfs share $TESTPOOL/$TESTFS/unshared
 
 # Now verify that the above command didn't actually do anything
 if is_shared $TESTDIR/unshared
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_snapshot_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_snapshot_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 log_assert "zfs snapshot returns an error when run as a user"
 
-log_mustnot $ZFS snapshot $TESTPOOL/$TESTFS@usersnap1
+log_mustnot zfs snapshot $TESTPOOL/$TESTFS@usersnap1
 
 # Now verify that the above command didn't actually do anything
 if datasetexists $TESTPOOL/$TESTFS@usersnap1
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unallow_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unallow_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -44,7 +44,7 @@
 #
 
 # check to see if we have zfs unallow
-$ZFS 2>&1 | $GREP "unallow" > /dev/null
+zfs 2>&1 | grep "unallow" > /dev/null
 if (($? != 0)) then
         log_unsupported "ZFS unallow not supported on this machine."
 fi
@@ -51,10 +51,10 @@
 
 log_assert "zfs unallow returns an error when run as a user"
 
-log_mustnot $ZFS unallow everyone $TESTPOOL/$TESTFS/allowed
+log_mustnot zfs unallow everyone $TESTPOOL/$TESTFS/allowed
 
 # now check with zfs allow to see if the permissions are still there
-OUTPUT=$($ZFS allow $TESTPOOL/$TESTFS/allowed | $GREP "Local+Descendent" )
+OUTPUT=$(zfs allow $TESTPOOL/$TESTFS/allowed | grep "Local+Descendent" )
 if [ -z "$OUTPUT" ]
 then
 	log_fail "Error - create permissions were unallowed on \
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unmount_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unmount_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -58,7 +58,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unshare_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_unshare_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -53,7 +53,7 @@
 	log_fail "$TESTPOOL/$TESTFS/shared was not shared initially at all!"
 fi
 
-log_mustnot $ZFS unshare $TESTPOOL/$TESTFS/shared
+log_mustnot zfs unshare $TESTPOOL/$TESTFS/shared
 
 # now verify that the above command didn't do anything
 if not_shared $TESTDIR/shared
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_upgrade_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_upgrade_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -44,7 +44,7 @@
 #
 
 # check to see if we have upgrade capability
-$ZFS upgrade > /dev/null 2>&1
+zfs upgrade > /dev/null 2>&1
 HAS_UPGRADE=$?
 if [ $HAS_UPGRADE -ne 0 ]
 then
@@ -54,11 +54,11 @@
 log_assert "zfs upgrade returns an error when run as a user"
 
 
-log_mustnot $ZFS upgrade $TESTPOOL/$TESTFS/version1
+log_mustnot zfs upgrade $TESTPOOL/$TESTFS/version1
 
 # now check to see the above command didn't do anything
-VERSION=$($ZFS upgrade $TESTPOOL/$TESTFS/version1 2>&1 \
-	 | $GREP "already at this version")
+VERSION=$(zfs upgrade $TESTPOOL/$TESTFS/version1 2>&1 \
+	 | grep "already at this version")
 if [ -n "$VERSION" ]
 then
 	log_fail "A filesystem was upgraded!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,7 +47,7 @@
 {
 	if [ -e /tmp/zpool_001_neg.$$.txt ]
 	then
-		$RM /tmp/zpool_001_neg.$$.txt
+		rm /tmp/zpool_001_neg.$$.txt
 	fi
 }
 
@@ -54,7 +54,7 @@
 log_onexit cleanup
 log_assert "zpool shows a usage message when run as a user"
 
-eval "$ZPOOL > /tmp/zpool_001_neg.$$.txt 2>&1"
-log_must $GREP "usage: zpool command args" /tmp/zpool_001_neg.$$.txt
+eval "zpool > /tmp/zpool_001_neg.$$.txt 2>&1"
+log_must grep "usage: zpool command args" /tmp/zpool_001_neg.$$.txt
 
 log_pass "zpool shows a usage message when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_add_001_neg.ksh	Wed Aug 31 16:21:05 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_add_001_neg.ksh	Wed Aug 31 16:21:05 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -62,7 +62,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL ${args[i]}
+	log_mustnot zpool ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_attach_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_attach_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 function check_for_attach
 {
-	RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk-additional.dat)
+	RESULT=$(zpool status -v $TESTPOOL.virt | grep disk-additional.dat)
 	if [ -n "$RESULT" ]
 	then
 		log_fail "A disk was attached to the pool!"
@@ -56,11 +56,11 @@
 
 log_assert "zpool attach returns an error when run as a user"
 
-log_mustnot $ZPOOL attach $TESTPOOL.virt /$TESTDIR/disk1.dat \
+log_mustnot zpool attach $TESTPOOL.virt /$TESTDIR/disk1.dat \
 	/$TESTDIR/disk-additional.dat
 check_for_attach
 
-log_mustnot $ZPOOL attach -f $TESTPOOL.virt /$TESTDIR/disk1.dat \
+log_mustnot zpool attach -f $TESTPOOL.virt /$TESTDIR/disk1.dat \
 	 /$TESTDIR/disk-additional.dat
 check_for_attach
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_clear_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_clear_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,6 +47,6 @@
 
 log_assert "zpool clear returns an error when run as a user"
 
-log_mustnot $ZPOOL clear $TESTPOOL
+log_mustnot zpool clear $TESTPOOL
 
 log_pass "zpool clear returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_create_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_create_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -62,7 +62,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL ${args[i]}
+	log_mustnot zpool ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_destroy_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_destroy_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -52,7 +52,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL ${args[i]}
+	log_mustnot zpool ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_detach_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_detach_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,9 +47,9 @@
 
 log_assert "zpool detach returns an error when run as a user"
 
-log_mustnot $ZPOOL detach $TESTPOOL.virt /$TESTDIR/disk1.dat
+log_mustnot zpool detach $TESTPOOL.virt /$TESTDIR/disk1.dat
 
-RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk1.dat)
+RESULT=$(zpool status -v $TESTPOOL.virt | grep disk1.dat)
 if [ -z "$RESULT" ]
 then
 	log_fail "A disk was detached from the pool!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_export_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_export_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -44,7 +44,7 @@
 
 function check_for_export
 {
-	RESULT=$($ZPOOL list | $GREP $TESTPOOL.virt )
+	RESULT=$(zpool list | grep $TESTPOOL.virt )
 	if [ -z "$RESULT" ]
 	then
 		log_fail "A pool was exported!"
@@ -56,10 +56,10 @@
 
 log_assert "zpool export returns an error when run as a user"
 
-log_mustnot $ZPOOL export $TESTPOOL.virt
+log_mustnot zpool export $TESTPOOL.virt
 check_for_export
 
-log_mustnot $ZPOOL export -f $TESTPOOL.virt
+log_mustnot zpool export -f $TESTPOOL.virt
 check_for_export
 
 log_pass "zpool export returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_get_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_get_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -54,7 +54,7 @@
 do
 	PROP=${props[$i]}
 	EXPECTED=${prop_vals[$i]}
-	ACTUAL=$( $ZPOOL get $PROP $TESTPOOL | $GREP $PROP | $AWK '{print $1}' )
+	ACTUAL=$( zpool get $PROP $TESTPOOL | grep $PROP | awk '{print $1}' )
 	if [ "$ACTUAL" != "$EXPECTED" ]
 	then
 		log_fail "Property $PROP value was $ACTUAL, expected $EXPECTED"
@@ -62,6 +62,6 @@
         i=$(( $i + 1 ))
 done
 
-log_must $ZPOOL get all $TESTPOOL
+log_must zpool get all $TESTPOOL
 
 log_pass "zpool get works when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_history_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_history_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -46,10 +46,10 @@
 
 log_assert "zpool history returns an error when run as a user"
 
-log_mustnot $ZPOOL history
-log_mustnot $ZPOOL history $TESTPOOL
-log_mustnot $ZPOOL history -i $TESTPOOL
-log_mustnot $ZPOOL history -l $TESTPOOL
-log_mustnot $ZPOOL history -il $TESTPOOL
+log_mustnot zpool history
+log_mustnot zpool history $TESTPOOL
+log_mustnot zpool history -i $TESTPOOL
+log_mustnot zpool history -l $TESTPOOL
+log_mustnot zpool history -il $TESTPOOL
 
 log_assert "zpool history returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_import_001_neg.ksh	Wed Aug 31 16:21:06 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_import_001_neg.ksh	Wed Aug 31 16:21:06 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 
 function check_for_import
 {
-	RESULT=$($ZPOOL list -H -o name | $GREP $TESTPOOL.exported)
+	RESULT=$(zpool list -H -o name | grep $TESTPOOL.exported)
 	if [ -n "$RESULT" ]
 	then
 		log_fail "Pool $TESTPOOL.export was successfully imported!"
@@ -55,12 +55,12 @@
 verify_runnable "global"
 
 log_assert "zpool import returns an error when run as a user"
-log_mustnot $ZPOOL import
+log_mustnot zpool import
 
-log_mustnot $ZPOOL import -a
+log_mustnot zpool import -a
 check_for_import
 
-log_mustnot $ZPOOL import -d /$TESTDIR $TESTPOOL.exported
+log_mustnot zpool import -d /$TESTDIR $TESTPOOL.exported
 check_for_import
 
 log_pass "zpool import returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_import_002_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_import_002_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -57,7 +57,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL import ${args[i]}
+	log_mustnot zpool import ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_offline_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_offline_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,8 +45,8 @@
 
 function check_for_offline
 {
-	RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk-1.dat \
-		 | $GREP OFFLINE )
+	RESULT=$(zpool status -v $TESTPOOL.virt | grep disk-1.dat \
+		 | grep OFFLINE )
 	if [ -n "$RESULT" ]
 	then
 		log_fail "A disk was taken offline!"
@@ -57,10 +57,10 @@
 
 log_assert "zpool offline returns an error when run as a user"
 
-log_mustnot $ZPOOL offline $TESTPOOL.virt /$TESTDIR/disk-1.dat
+log_mustnot zpool offline $TESTPOOL.virt /$TESTDIR/disk-1.dat
 check_for_offline
 
-log_mustnot $ZPOOL offline -t $TESTPOOL.virt /$TESTDIR/disk-1.dat
+log_mustnot zpool offline -t $TESTPOOL.virt /$TESTDIR/disk-1.dat
 check_for_offline
 
 log_pass "zpool offline returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_online_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_online_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,8 +45,8 @@
 
 function check_for_online
 {
-	RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk-offline.dat \
-		 | $GREP ONLINE )
+	RESULT=$(zpool status -v $TESTPOOL.virt | grep disk-offline.dat \
+		 | grep ONLINE )
 	if [ -n "$RESULT" ]
 	then
 		log_fail "A disk was brough online!"
@@ -57,10 +57,10 @@
 
 log_assert "zpool online returns an error when run as a user"
 
-log_mustnot $ZPOOL online $TESTPOOL.virt /$TESTDIR/disk-offline.dat
+log_mustnot zpool online $TESTPOOL.virt /$TESTDIR/disk-offline.dat
 check_for_online
 
-log_mustnot $ZPOOL online -t $TESTPOOL.virt /$TESTDIR/disk-offline.dat
+log_mustnot zpool online -t $TESTPOOL.virt /$TESTDIR/disk-offline.dat
 check_for_online
 
 log_pass "zpool online returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_remove_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_remove_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,9 +47,9 @@
 
 log_assert "zpool remove returns an error when run as a user"
 
-log_mustnot $ZPOOL remove $TESTPOOL.virt /$TESTDIR/disk-spare1.dat
+log_mustnot zpool remove $TESTPOOL.virt /$TESTDIR/disk-spare1.dat
 
-RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk-spare1.dat)
+RESULT=$(zpool status -v $TESTPOOL.virt | grep disk-spare1.dat)
 if [ -z "$RESULT" ]
 then
 	log_fail "A disk was removed from the pool!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_replace_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_replace_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,8 +45,8 @@
 
 function check_for_replace
 {
-	$SLEEP 10
-	RESULT=$($ZPOOL status -v $TESTPOOL.virt | $GREP disk-additional.dat)
+	sleep 10
+	RESULT=$(zpool status -v $TESTPOOL.virt | grep disk-additional.dat)
 	if [ -n "$RESULT" ]
 	then
 		log_fail "A disk was replaced in the pool!"
@@ -57,11 +57,11 @@
 
 log_assert "zpool replace returns an error when run as a user"
 
-log_mustnot $ZPOOL replace $TESTPOOL.virt /$TESTDIR/disk-1.dat \
+log_mustnot zpool replace $TESTPOOL.virt /$TESTDIR/disk-1.dat \
 	 /$TESTDIR/disk-additional.dat
 check_for_replace
 
-log_mustnot $ZPOOL replace -f $TESTPOOL.virt /$TESTDIR/disk-1.dat \
+log_mustnot zpool replace -f $TESTPOOL.virt /$TESTDIR/disk-1.dat \
  /$TESTDIR/disk-additional.dat
 check_for_replace
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_scrub_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_scrub_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -47,7 +47,7 @@
 
 log_assert "zpool scrub returns an error when run as a user"
 
-log_mustnot $ZPOOL scrub $TESTPOOL
-log_mustnot $ZPOOL scrub -s $TESTPOOL
+log_mustnot zpool scrub $TESTPOOL
+log_mustnot zpool scrub -s $TESTPOOL
 
 log_pass "zpool scrub returns an error when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_set_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_set_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -59,7 +59,7 @@
 	log_mustnot $POOL set $PROP=$NEW $TESTPOOL
 
 	# Now verify that the above command did nothing
-	ACTUAL=$( $ZPOOL get $PROP $TESTPOOL | $GREP $PROP | $AWK '{print $1}' )
+	ACTUAL=$( zpool get $PROP $TESTPOOL | grep $PROP | awk '{print $1}' )
 	if [ "$ACTUAL" != "$EXPECTED" ]
 	then
 		log_fail "Property $PROP was set to $ACTUAL, expected $EXPECTED"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_status_001_neg.ksh	Wed Aug 31 16:21:07 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_status_001_neg.ksh	Wed Aug 31 16:21:07 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,12 +45,12 @@
 
 function check_pool_status
 {
-	RESULT=$($GREP "pool:" /tmp/pool-status.$$)
+	RESULT=$(grep "pool:" /tmp/pool-status.$$)
 	if [ -z "$RESULT" ]
 	then
 		log_fail "No pool: string found in zpool status output!"
 	fi
-	$RM /tmp/pool-status.$$
+	rm /tmp/pool-status.$$
 }
 
 verify_runnable "global"
@@ -57,20 +57,20 @@
 
 log_assert "zpool status works when run as a user"
 
-log_must eval "$ZPOOL status > /tmp/pool-status.$$"
+log_must eval "zpool status > /tmp/pool-status.$$"
 check_pool_status
 
-log_must eval "$ZPOOL status -v > /tmp/pool-status.$$"
+log_must eval "zpool status -v > /tmp/pool-status.$$"
 check_pool_status
 
-log_must eval "$ZPOOL status $TESTPOOL> /tmp/pool-status.$$"
+log_must eval "zpool status $TESTPOOL> /tmp/pool-status.$$"
 check_pool_status
 
-log_must eval "$ZPOOL status -v $TESTPOOL > /tmp/pool-status.$$"
+log_must eval "zpool status -v $TESTPOOL > /tmp/pool-status.$$"
 check_pool_status
 
 # $TESTPOOL.virt has an offline device, so -x will show it
-log_must eval "$ZPOOL status -x $TESTPOOL.virt > /tmp/pool-status.$$"
+log_must eval "zpool status -x $TESTPOOL.virt > /tmp/pool-status.$$"
 check_pool_status
 
 log_pass "zpool status works when run as a user"
